<fieldset class="p-checkout-payment-method">
	<h2>Способ оплаты</h2>

	<ul class="js-payments">
		<li>
			<input value="credit" id="payment-credit" type="radio" name="payment-method"/>
			<label for="payment-credit"><img src="http://res.cloudinary.com/canvaskisa/image/upload/v1482699643/cards_ew5jey.png"/></label>
		</li>
		<li>
			<input value="qiwi" id="payment-qiwi" type="radio" name="payment-method"/>
			<label for="payment-qiwi"><img src="http://res.cloudinary.com/canvaskisa/image/upload/v1482699644/qiwi_u5i279.png"/></label>
		</li>
		<li>
			<input value="webmoney" id="payment-webmoney" type="radio" name="payment-method"/>
			<label for="payment-webmoney"><img src="http://res.cloudinary.com/canvaskisa/image/upload/v1482699644/webmoney_zwhpqx.png"/></label>
		</li>
		<li>
			<input value="yandex" id="payment-yandex" type="radio" name="payment-method"/>
			<label for="payment-yandex"><img src="http://res.cloudinary.com/canvaskisa/image/upload/v1482699644/yandex_h6d7wh.png"/></label>
		</li>
		<li>
			<input value="cash" id="payment-cash" type="radio" name="payment-method"/>
			<label for="payment-cash"><img src="http://res.cloudinary.com/canvaskisa/image/upload/v1482699643/cash_wtflf9.png"/></label>
		</li>
	</ul>

	<div class="js-captions">
		<p style="display:none">
			<strong>Яндекс.Деньги (41001574051219)</strong>
			<span>Для оплаты через Яндекс.Деньги необходимо перевести указанную сумму на наш Яндекс кошелек (41001574051219).</span>
		</p>
		<p style="display:none">
			<span>Для оплаты через Яндекс.Деньги необходимо перевести указанную сумму на наш Яндекс кошелек (41001574051219).</span>
		</p>
		<p style="display:none">
			<strong>Деньги (41001574051219)</strong>
			<span>Для оплаты через Яндекс.Деньги необходимо перевести указанную сумму на наш Яндекс кошелек (41001574051219).</span>
		</p>
		<p style="display:none">
			<strong>Яндекс (41001574051219)</strong>
			<span>Для оплаты через Яндекс.Деньги необходимо перевести указанную сумму на наш Яндекс кошелек (41001574051219).</span>
		</p>
		<p style="display:none">
			<strong>Яндекс.Деньги</strong>
			<span>Для оплаты через Яндекс.Деньги необходимо перевести указанную сумму на наш Яндекс кошелек (41001574051219).</span>
		</p>
	</div>
</fieldset>

<script>
	(function () {
		var $payments = Array.from(document.querySelectorAll('.js-payments input'));
		var $captions = Array.from(document.querySelectorAll('.js-captions p'));

		var onChange = function (index) {
			return function () {
				$captions.forEach(function ($caption) {
					$caption.style.display = 'none';
				});

				$captions[index].style.display = 'block';
			};
		};

		$payments.forEach(function ($payment, index) {
			$payment.addEventListener('change', onChange(index), false);
		});
	})();
</script>
